<?php
header('Content-Type: application/json; charset=UTF-8');
header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Methods: POST');
header('Access-Control-Allow-Headers: Access-Control-Allow-Headers,Content-Type, Access-Control-Allow-Methods, Authorization, X-Requested-With');

include "config.php";
date_default_timezone_set("Asia/Kolkata");

$_POST = json_decode(file_get_contents("php://input"), true);
$id = $_POST['id']; // mandal id
$currentDate = date("Y-m-d");
$currentMonth = date("Y-m");
$currentYear = date("Y");

// Count for today
$sqlToday = "SELECT COUNT(*) as today_count FROM `agentOrder` WHERE `agentId`='$id' AND DATE(`date`) = '$currentDate'";
$runToday = mysqli_query($conn, $sqlToday);
$rowToday = mysqli_fetch_assoc($runToday);
$todayCount = $rowToday['today_count'];

// Count for this month
$sqlMonth = "SELECT COUNT(*) as month_count FROM `agentOrder` WHERE `agentId`='$id' AND DATE_FORMAT(`date`, '%Y-%m') = '$currentMonth'";
$runMonth = mysqli_query($conn, $sqlMonth);
$rowMonth = mysqli_fetch_assoc($runMonth);
$monthCount = $rowMonth['month_count'];

// Count for this year
$sqlYear = "SELECT COUNT(*) as year_count FROM `agentOrder` WHERE `agentId`='$id' AND DATE_FORMAT(`date`, '%Y') = '$currentYear'";
$runYear = mysqli_query($conn, $sqlYear);
$rowYear = mysqli_fetch_assoc($runYear);
$yearCount = $rowYear['year_count'];

// Count for all records
$sqlAll = "SELECT COUNT(*) as all_count FROM `agentOrder` WHERE `agentId`='$id'";
$runAll = mysqli_query($conn, $sqlAll);
$rowAll = mysqli_fetch_assoc($runAll);
$allCount = $rowAll['all_count'];

$sqlwithdraw = "SELECT SUM(withdraw) AS total_amount FROM agentOrder WHERE `agentId`='$id'";
$runWithdraw = mysqli_query($conn, $sqlwithdraw);
$rowWithdraw = mysqli_fetch_assoc($runWithdraw);
$totalAmount = $rowWithdraw['total_amount'];

$ksql = "SELECT `kyc` FROM `refUser` WHERE `id`='$id'";
$krun = mysqli_query($conn,$ksql);
$krow = mysqli_fetch_assoc($krun);
$kyc = $krow['kyc'];


echo json_encode([
    "message" => "radha",
    "today" => $todayCount * 100,
    "month" => $monthCount * 100,
    "year" => $yearCount * 100,
    "yearall" => $allCount * 100,
    "withdraw"=>$totalAmount,
    "kyc"=>$kyc
]);
?>
