<?php
header('Content-Type: application/json; charset=UTF-8');
header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Methods: POST');
header('Access-Control-Allow-Headers: Access-Control-Allow-Headers, Content-Type, Access-Control-Allow-Methods, Authorization, X-Requested-With');

include "config.php";
date_default_timezone_set("Asia/Kolkata");

$input = json_decode(file_get_contents("php://input"), true);
$limit = $input['limit'];
$pid = $input['pid'];
$indexFrom = isset($input['indexFrom']) ? $input['indexFrom'] : 0;



$data = array();

if ($pid != null) {
        $query = "SELECT * FROM `products` WHERE id=$pid";
} else {
       

$query = "SELECT * FROM `products`";

}
$result = mysqli_query($conn, $query);
// echo $query;
if (!$result) {
    
    $error = "Error: " . mysqli_error($conn);
    echo json_encode(["message" => $query]);
} else {
    while ($row = mysqli_fetch_assoc($result)) {
        $productId = $row['id'];
 $net = $row['net'];
        $gross = $row['gross'];
        $dgm = $row['d_gm'];
        $dkarat = $row['d_karat'];
        $material = $row['type'];
        $mQuery = "SELECT * FROM material WHERE id='$material'";
        $mResult = mysqli_query($conn, $mQuery);
        $mrow = mysqli_fetch_array($mResult);
        $mname = $mrow['name'];
        $mprice = $mrow['price'];
        
        $dprice = $row['dprice'];
        $dname = $row['diamond'];
        $dtotal = round($dprice) ;

        if($material == 3){
            if($net > 2.000 && $net <5.000){
              $making = 600; 
            }else if($net > 5.000 && $net < 10.000){
              $making = 700;
            }else if($net > 10.000 && $net < 15.000){
              $making = 800 ;
            }else if($net > 15.000 && $net < 20.000){
              $making = $net*60 ;
            }else if($net > 20.000 && $net < 25.000){
              $making = $net*50 ;
            }else if($net > 25.000){
              $making = $net*40 ;
            }
            $mm = $making/2;
            $ggg = $net*$mprice+$mm+$dtotal;
            $gst = round($ggg*0.03);
            $price = round($net*$mprice+$mm+$gst+$dtotal);
            $discount = round($net*$mprice+$making+$gst+$dtotal);
        }else if($material == 8){
            if($net > 0.000 && $net <0.500){
              $making = $net*1400; 
            }else if($net > 0.510 && $net < 0.800){
              $making = $net*1650;
            }else if($net > 0.810 && $net < 1.000){
              $making = $net*2050 ;
            }else if($net > 1.010 && $net < 1.400){
              $making = $net*2350 ;
            }else if($net > 1.410 && $net < 1.900){
              $making = $net*2600 ;
            }else if($net > 1.910 && $net < 2.200){
              $making = $net*2850 ;
            }else {
              $making = $net*1500;
            }
            $mm = $making/2;
            $ggg = $net*$mprice+$mm+$dtotal;
            $gst = round($ggg*0.03);
            $price = round($net*$mprice+$mm+$gst+$dtotal);
            $discount = round($net*$mprice+$making+$gst+$dtotal);
        }else{
            $p = $row['price'];
            $fgst = $row['price']*0.03;
            $pp = $row['price'] + $fgst;
            $price = $pp;
            $discount = $row['dis_price'] + $row['dis_price']*0.03;
        }
        
        $cartCheckQuery = "SELECT * FROM cart WHERE pid='$productId'";
        $cartCheckResult = mysqli_query($conn, $cartCheckQuery);
        $row['in_cart'] = ($cartCheckResult && mysqli_num_rows($cartCheckResult) > 0) ? true : false;
        
        $wishlistCheckQuery = "SELECT * FROM wishlist WHERE pid='$productId'";
        $wishlistCheckResult = mysqli_query($conn, $wishlistCheckQuery);
        $row['in_wishlist'] = ($wishlistCheckResult && mysqli_num_rows($wishlistCheckResult) > 0) ? true : false;
        
        // Add images to the images array
        $images = array();
        $images[] = array("image_id" => 1101, "id" => 1.1, "alt" => "yellow", "src" => $imgpath."/Products/" . $row['img']);
        $images[] = array("image_id" => 1111, "id" => 1.1, "alt" => "yellow", "src" => $imgpath."/Products/" . $row['img1']);
        $images[] = array("image_id" => 1121, "id" => 1.2, "alt" => "white", "src" => $imgpath."/Products/" . $row['img2']);
        
        
        // Add the product data to the data array
        $data[] = array(
            "id" => $row['id'],
            "img" => $imgpath."/Products/" . $row['img'],
            "img2" => $imgpath."/Products/" . $row['img1'],
            "img3" => $imgpath."/Products/" . $row['img2'],
            "price" => round($price),
            "title" => $row['name'],
            "stock" => $row['stock'],
            "code" => $row['code'],
            "status"=>$row['active'],
            "discount" => round($discount),
            "category" => $row['category'],
            "collection" =>  $row['type'],
            "desc" => $row['description'],
            "total_price" => round($price),
            "images" => $images,    
            "net" => $row['net'],
            "gross" => $row['gross'],
            "d_gm" => $row['d_gm'],
            "d_karat" => $row['d_karat'],
            "brand" => $mname,
            "gender" => $row['gender'],
           
        );
    }
    // mysqli_free_result($result);
    
    // Return JSON response
    $totalCount = count($data);
    if ($totalCount ) {
        echo json_encode(["message" => "radha", "result" => $data, "total" => $pid]);
    } else {
        echo json_encode(["message" => "invalid", "total" => $totalCount]);
    }
}
?>
