<?php

include "config.php";

$datas = json_decode(file_get_contents("php://input"), true);

$mid = $datas['uid'];
$token = $datas['page'];
// $page = "Cart";
$tdata = array();
$total = 0;


if ($token == "Cart") {
    $tsql = "SELECT products.*, cart.id AS cwid, cart.uid AS cuid, cart.qau AS qau, cart.price AS cprice,cart.remark
                FROM products
                LEFT JOIN cart 
                ON products.id = cart.pid
                WHERE cart.uid = $mid AND products.active = 0 AND products.stock != 0
                ORDER BY products.id DESC";
} else if ($token == "Wishlist") {
    $tsql = "SELECT products.*, wishlist.id AS cwid, wishlist.uid AS cuid
                FROM products
                LEFT JOIN wishlist 
                ON products.id = wishlist.pid
                WHERE wishlist.uid = $mid AND products.active = 0 AND products.stock != 0
                ORDER BY products.id DESC";
}

$tresult = mysqli_query($conn, $tsql);
if ($tresult->num_rows > 0) {
    while ($trow = $tresult->fetch_assoc()) {
        $productId = $trow['id'];
        $net = $trow['net'];
        $gross = $trow['gross'];
        $dgm = $trow['d_gm'];
        $dkarat = $trow['d_karat'];
        $material = $trow['type'];
        $pprice = $trow['price'];
        $images = array();
        $images[] = array("image_id" => 110, "id" => 1.1, "alt" => "yellow", "src" => $imgpath."/Products/" . $trow['img']);
        $images[] = array("image_id" => 111, "id" => 1.1, "alt" => "yellow", "src" => $imgpath."/Products/" . $trow['img1']);
        $images[] = array("image_id" => 112, "id" => 1.2, "alt" => "white", "src" => $imgpath."/Products/" . $trow['img2']);

        $material = $trow['type'];
        $mQuery = "SELECT * FROM material WHERE id='$material'";
        $mResult = mysqli_query($conn, $mQuery);
        $mrow = mysqli_fetch_array($mResult);
        $mprice = $mrow['price'];

        $dprice = $trow['dprice'];
        $dname = $trow['diamond'];
        $dtotal = round($dprice) ;

        if($material == 3){
             if($net > 2.000 && $net <5.000){
              $making = 600; 
            }else if($net > 5.000 && $net < 10.000){
              $making = 700;
            }else if($net > 10.000 && $net < 15.000){
              $making = 800 ;
            }else if($net > 15.000 && $net < 20.000){
              $making = $net*60 ;
            }else if($net > 20.000 && $net < 25.000){
              $making = $net*50 ;
            }else if($net > 25.000){
              $making = $net*40 ;
            }
            $mm = $making/2;
            $ggg = $net*$mprice+$mm+$dtotal;
            $gst = round($ggg*0.03);
            $price = round($net*$mprice+$mm+$gst+$dtotal);
            $discount = round($net*$mprice+$making+$gst+$dtotal);
        }else if($material == 8){
            if($net > 0.000 && $net <0.500){
              $making = $net*1400; 
            }else if($net > 0.510 && $net < 0.800){
              $making = $net*1650;
            }else if($net > 0.810 && $net < 1.000){
              $making = $net*2050 ;
            }else if($net > 1.010 && $net < 1.400){
              $making = $net*2350 ;
            }else if($net > 1.410 && $net < 1.900){
              $making = $net*2600 ;
            }else if($net > 1.910 && $net < 2.200){
              $making = $net*2850 ;
            }else {
              $making = $net*1500;
            }
            $mm = $making/2;
            $ggg = $net*$mprice+$mm+$dtotal;
            $gst = round($ggg*0.03);
            $price = round($net*$mprice+$mm+$gst+$dtotal);
            $discount = round($net*$mprice+$making+$gst+$dtotal);
        }else{
            $p = $trow['price'];
            $fgst = $trow['price']*0.03;
            $pp = $trow['price'] + $fgst;
            $price = $pp;
            $discount = $trow['dis_price'] + $trow['dis_price']*0.03;
        }
        

        $t = $trow['qau'] * round($price);

        $data = array(
            "cwid" => $trow['cwid'],
            "title" => $trow['name'],
            "price" => round($price),
            "uid" => $trow['cuid'],
            "discount" => round($discount),
            "material" => $trow['material'],
            "qty" => $trow['qau'],
            "images" => $images,
            "remark" => $trow['remark'],
            "type" => $trow['type'],
            "page" => $page,
            "pid" => $trow['id'],
            "total" => round($t)
        );

        $total += round($t); // Add the total for this item to the overall total
        $tdata[] = $data;
        $trans_msg = "radha";
    }
} else {
    $trans_msg = "No data";
}

echo json_encode(["message" => $trans_msg, "trans_result" => $tdata, "total" => round($total)]);

// Function to calculate making charge based on net weight
function calculateMakingCharge($netWeight) {
    if ($netWeight > 0.000 && $netWeight < 0.500) {
        return $netWeight * 1400;
    } else if ($netWeight > 0.510 && $netWeight < 0.800) {
        return $netWeight * 1650;
    } else if ($netWeight > 0.810 && $netWeight < 1.000) {
        return $netWeight * 2050;
    } else if ($netWeight > 1.010 && $netWeight < 1.400) {
        return $netWeight * 2350;
    } else if ($netWeight > 1.410 && $netWeight < 1.900) {
        return $netWeight * 2600;
    } else if ($netWeight > 1.910 && $netWeight < 2.200) {
        return $netWeight * 2850;
    } else {
        return $netWeight * 1500;
    }
}
?>
