<?php
require("utils/MiddleWare.php");

date_default_timezone_set("Asia/Kolkata");


$mid = $req['aid'];//mandal id

$checkadmin = "SELECT `id` FROM `mandal_user` WHERE `id`='$mid'";

$get_checkadmin = (mysqli_query($conn, $checkadmin));

if (mysqli_num_rows($get_checkadmin) > 0) {

        $query = "SELECT (SELECT SUM(t.regular_installment) FROM transaction t WHERE `mid`='$mid') AS total_regular,
                  (SELECT SUM(l.remaining) FROM loan l WHERE `mid`='$mid') AS total_loan";

        $result = mysqli_query($conn, $query);
        $row = mysqli_fetch_assoc($result);
        $total_regular = $row["total_regular"];
        $total_loan = $row["total_loan"];
        
        if($total_loan == null){
            $total_loan="0";
        }
        
        if($total_regular == null){
            $total_regular="0";
        }

        $mdata = array(
            "Total Installment" => $total_regular . "",
            "Remaining Loan" => $total_loan . ""
        );


        $tsql = "SELECT * FROM transaction WHERE `mid`='$mid'";

        $tresult = mysqli_query($conn, $tsql);
        if ($tresult->num_rows > 0) {
            while ($trow = $tresult->fetch_assoc()) {
                $ttdata = array(
                    "mid" => $trow['mid'],
                    "trans_type" => $trow['trans_type'],
                    "regular_installment" => $trow['regular_installment'],
                    "emi_type" => $trow['emi_type'],
                    "emi" => $trow['emi'],
                    "emi_interest" => $trow['emi_interest'],
                    "late_pay_charge" => $trow['late_pay_charge'],
                    "annual_charge" => $trow['annual_charge'],
                    "withdraw" => $trow['withdraw'],
                    "payment_mode" => $trow['payment_mode'],
                    "total" => $trow['total'],
                    "date" => $trow['date'],
                    "by" => $trow['a_name']
                );
                $tdata[] = $ttdata;
                $trans_msg = "radha";
            }
        } else {
            $trans_msg = "notrans";
        }



        $lsql = "SELECT * FROM loan WHERE `mid`='$mid'";
        
        $lresult = mysqli_query($conn, $lsql);
        if ($lresult->num_rows > 0) {
            while ($lrow = $lresult->fetch_assoc()) {
                $lldata = array(
                    "loan_id" => $lrow['id'],
                    "amount" => $lrow['loan_amount'],
                    "remaining" => $lrow['remaining'],
                    "emi" => $lrow['emi'],
                    "month" => $lrow['month'],
                    "paid_month" => $lrow['remaining_month'],
                    "date" => $lrow['date'],
                    "by" => $lrow['a_name']
                );
                $ldata[] = $lldata;
                $loan_msg = "radha";
            }
        } else {
            $loan_msg = "noloan";
        }

    
    echo json_encode(["message" => "radha","main_result" => $mdata, "trans_result" => $tdata, "loan_result" => $ldata]);



} else {
    echo json_encode(["message" => "invalid"]);
}
?>