<?php
require ('jwt/JWT.php');
use Firebase\JWT\JWT;

function verifyAuthToken($token) {
    $secretKey = 'MansiBhavsar';
    try {
        $decoded = JWT::decode($token, $secretKey, ['HS256']);
        return $decoded;
    } catch (Exception $e) {
        return false;
    }
}

function generateAuthToken($username, $userId, $role, $permissions) {
    $secretKey = 'MansiBhavsar';
    $expirationTime = time() + (5*24*3600); 

    $payload = [
        'username' => $username,
        'userId' => $userId,
        'role' => $role,
        'permissions' => $permissions,
        'exp' => $expirationTime
    ];

    $token = JWT::encode($payload, $secretKey, 'HS256');
    
    $response = [
        'token' => $token,
        'username' => $username,
        'id' => $userId,
        'role' => $role,
        'eat' => $expirationTime
    ];

    return $response;
}
?>