<?php
header('Content-Type: application/json charset=UTF-8');
header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Methods: POST');
header('Access-Control-Allow-Headers: Access-Control-Allow-Headers,Content-Type, Access-Control-Allow-Methods, Authorization, X-Requested-With');
include "config.php";
// $_POST = json_decode(file_get_contents("php://input"), true);

//admin validation
$admin = $_POST['aid'];
$auth = $_POST['auth'];
$page = $_POST['page'];


$checkadmin = "SELECT `id` FROM `admin` WHERE `id`='$admin' AND `authcode`='$auth'";

$get_checkadmin = (mysqli_query($conn, $checkadmin));

if (mysqli_num_rows($get_checkadmin) == 1) {

      if ($page === "main") {
        $query = "SELECT
    (SELECT SUM(t.regular_installment) FROM transaction t) AS reg_transaction,
    (SELECT SUM(t.late_pay_charge) FROM transaction t WHERE trans_type = 'LATE') AS late,
    (SELECT SUM(t.annual_charge) FROM transaction t WHERE trans_type = 'ANNUAL') AS annual_charge,
    (SELECT SUM(t.emi_interest) FROM transaction t WHERE emi_type = 'REINT') AS remove_int,
    (SELECT SUM(t.emi_interest) FROM transaction t WHERE emi_type != 'REINT') AS interest,
    (SELECT SUM(t.withdraw) FROM transaction t) AS total_withdraw,
    (SELECT SUM(l.remaining) FROM loan l) AS total_loan,
    (SELECT SUM(i.emi_interest) FROM transaction i) AS sum_of_int,
    (SELECT MAX(Id) FROM mandal_user) AS mems";

        $result = mysqli_query($conn, $query);
        $row = mysqli_fetch_assoc($result);
        // print_r($row);
        $trans_one = $row["reg_transaction"];
        $total_withdraw = $row["total_withdraw"];
        
        $int = $row["interest"] - $row["remove_int"];
        $grand = $int + $row['annual_charge'] + $row['late'] + $trans_one;
        $g_total = $grand - $total_withdraw;

        $total_loan = $row["total_loan"];
        $sum_of_mem = $row["mems"];
        $ione = $row["sum_of_int"];

        $intrest = intval($int);
        $total_transaction = intval($trans_one+$ione);
        
                 $grand_total = $total_transaction - $total_withdraw;

        $data = array(
            "fund" => $g_total . "",
            "loan" => $total_loan . "",
            "available_fund" => $g_total - $total_loan . "",
            "members" => $sum_of_mem . "",
            "dividend" => $intrest . ""
        );

        echo json_encode(["message" => "radha", "main_result" => $data]);

    } else if ($page === "transaction") {

        $tsql = "SELECT t.*, u.name FROM transaction t
        JOIN mandal_user u ON t.mid = u.id ORDER BY date DESC, id DESC";

        $tresult = mysqli_query($conn, $tsql);
        if ($tresult->num_rows > 0) {
            while ($trow = $tresult->fetch_assoc()) {
                $data = array(
                    "mid" => $trow['mid'],
                    "name" => $trow['name'],
                    "trans_type" => $trow['trans_type'],
                    "regular_installment" => $trow['regular_installment'],
                    "emi_type" => $trow['emi_type'],
                    "emi" => $trow['emi'],
                    "emi_interest" => $trow['emi_interest'],
                    "late_pay_charge" => $trow['late_pay_charge'],
                    "annual_charge" => $trow['annual_charge'],
                    "withdraw" => $trow['withdraw'],
                    "payment_mode" => $trow['payment_mode'],
                    "total" => $trow['total'],
                    "date" => $trow['date'],
                    "by" => $trow['a_name']
                );
                $tdata[] = $data;
                $trans_msg = "radha";
            }
        } else {
            $trans_msg = "invalid";
        }

        echo json_encode(["message" => $trans_msg, "trans_result" => $tdata]);


    } else if ($page === "loan") {
        

        $lsql = "SELECT l.*, u.name FROM loan l
        JOIN mandal_user u ON l.mid = u.id ORDER BY date DESC, id DESC";
        
        $lresult = mysqli_query($conn, $lsql);
        if ($lresult->num_rows > 0) {
            while ($lrow = $lresult->fetch_assoc()) {
                $data = array(
                    "mid" => $lrow['mid'],
                    "name" => $lrow['name'],
                    "amount" => $lrow['loan_amount'],
                    "remaining" => $lrow['remaining'],
                    "emi" => $lrow['emi'],
                    "month" => $lrow['month'],
                    "remaining_month" => $lrow['remaining_month'],
                    "date" => $lrow['date'],
                    "by" => $lrow['a_name']
                );
                $ldata[] = $data;
                $loan_msg = "radha";
            }
        } else {
            $loan_msg = "invalid";
        }
        echo json_encode(["message" => $loan_msg, "loan_result" => $ldata]);

    } else {
    echo json_encode(["message" => "invalid"]);
}
    
    // echo json_encode(["message" => $loan_msg, "main_result" => $data, "trans_result" => $tdata, "loan_result" => $ldata]);



} else {
    echo json_encode(["message" => "invalids"]);
}
?>