<?php

// Define FCM parameters
$key = 'AAAARUZiskg:APA91bESXJkJ0IxUhg_GjOS82uyXCrc723kalyDN-sQWGQtgDRryFYYq_rM8QY7eZfl5JtNZwvhQeQ2UznrI8B2qOu0gH445nb4gD-uf_s63QAXhEwXpTdyYMEcKu9oDOPN0G0J_2GFy';
$headers = [
    'Authorization:key =' . $key,
    'Content-Type:application/json'
];

// Define the message payload
$message = [
    'to' => '/topics/all_users', // Send to topic 'all_users'
    'notification' => [
        'title' => 'Test Notification',
        'body' => 'This is a test notification for all users.',
    ],
];

// Send the FCM message
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, 'https://fcm.googleapis.com/fcm/send');
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($message));

$response = curl_exec($ch);
curl_close($ch);

$response_data = json_decode($response, true);

if ($response_data) {
    echo "Successfully sent message to all users.";
} else {
    if ($response_data && isset($response_data['error'])) {
        echo "Error sending message: " . $response_data['error'];
    } else {
        print_r($response_data);
    }
}

?>
