<?php
header('Content-Type: application/json; charset=UTF-8');
header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Methods: POST');
header('Access-Control-Allow-Headers: Access-Control-Allow-Headers,Content-Type, Access-Control-Allow-Methods, Authorization, X-Requested-With');


if ($_SERVER['REQUEST_METHOD'] === 'OPTIONS') {
    http_response_code(200);
    exit;
}

include "config.php";
date_default_timezone_set("Asia/Kolkata");

$_POST = json_decode(file_get_contents("php://input"), true);
$mid = $_POST['id']; // mandal id
if(!empty($mid)){
$sql = "SELECT ao.`id`, ao.`oid`, ao.`agentCode`, ao.`agentId`, ao.`pid`, ao.`bonus`, ao.`date` AS odate, co.`name` AS pname, co.`total` AS total,co.`status` AS fstatus
        FROM `agentOrder` AS ao
        JOIN `checkout` AS co ON ao.`oid` = co.`orderid`
        WHERE ao.`agentId` = '$mid'";

$run = mysqli_query($conn, $sql);
$count = mysqli_num_rows($run);

$tdata = array(); // Initialize an empty array to store data

while ($row = mysqli_fetch_array($run)) {
    $data = array(
        "id" => $row['id'],
        "orderid" => $row['oid'],
        "price" => round($row['total']),
        "date" => $row['odate'],
        "item_count" => $count,
        "status" => $row['fstatus'],
        "coupon" => $row['bonus'],
        "name" => $row['pname'],
    );

    $tdata[] = $data; // Add each row data to the $tdata array
}

$trans_msg = "radha";

echo json_encode(["message" => $trans_msg, "result" => $tdata]);
}else{
   echo json_encode(["message" => "invalid"]);
 
}
?>
