<?php
include "config.php";

// Escape and assign values from $_POST array
$status = mysqli_real_escape_string($conn, $_POST['date']);
$message = mysqli_real_escape_string($conn, $_POST['message']);
$orderNumber = mysqli_real_escape_string($conn, $_POST['order_number']);
$orderNumber1 = mysqli_real_escape_string($conn, $_POST['delivery_date']);
$orderNumber2 = mysqli_real_escape_string($conn, $_POST['event_time']);
$awb_number = mysqli_real_escape_string($conn, $_POST['awb_number']);
$location = mysqli_real_escape_string($conn, $_POST['location']);
$rto_awb = mysqli_real_escape_string($conn, $_POST['rto_awb']);

// Create concatenated message
$dt = "w2" . $message . "-" . $orderNumber . "=" . $orderNumber1 . " - " . $orderNumber2 . " - " . $awb_number . " - " . $location . " - " . $rto_awb;

// Initialize SQL string
$insertSql = "INSERT INTO `webhook` (`name`, `dt`, `adata`) VALUES ";

// Loop through $_POST array to create SQL values
$values = array();
foreach ($_POST as $key => $value) {
    // Escape key and value
    $escapedKey = mysqli_real_escape_string($conn, $key);
    $escapedValue = mysqli_real_escape_string($conn, $value);
    // Add key-value pair to values array
    $values[] = "('$escapedKey', '$escapedValue')";
}

// Combine values into SQL string
$insertSql .= implode(", ", $values);

// Execute insert query
$insertResult = mysqli_query($conn, $insertSql);

// Check if insertion was successful
if ($insertResult) {
    echo "Data inserted into webhook table successfully.";
} else {
    echo "Error inserting data: " . mysqli_error($conn);
}

?>