<?php
require("utils/MiddleWare.php");

date_default_timezone_set("Asia/Kolkata");

// Sanitize the input
$id = $req['id'];
$date = date('Y-m-d');
$total = 0;
$today = 0;
// Initialize arrays to store data
$m_data = array();
$d_data = array();
$r_data = array();

$userquery = "SELECT ao.*, co.*, ao.status AS st,ao.date AS dates
              FROM withdraw AS ao
              JOIN checkout AS co ON ao.agentId = co.agent_id
              WHERE ao.agentId = '$id' AND ao.status = 'APPROVED'";
$run_userquery = mysqli_query($conn, $userquery);

if (mysqli_num_rows($run_userquery) > 0) {
    while ($row = mysqli_fetch_array($run_userquery)) {
        $a1 = array(
            "id" => $row['id'],
            "status" => $row['st'],
            "oid" => $row['dates'],
            "phone" => $row['phone'],
            "price" => $row['amount'],
        );
        $total += $row['amount']; 
        $m_data[] = $a1;
    }
    $m_message = "radha";
} else {
    $m_message = "invalid";
}


$userquery = "SELECT ao.*, co.*,co.status AS cs
              FROM agentOrder AS ao
              JOIN checkout AS co ON ao.oid = co.orderid
              WHERE ao.agentId = '$id'";
$run_userquery = mysqli_query($conn, $userquery);

if (mysqli_num_rows($run_userquery) > 0) {
    while ($row = mysqli_fetch_array($run_userquery)) {
        $a1 = array(
            "id" => $row['date'],
            "name" => $row['name'],
            "oid" => $row['orderid'],
            "phone" => $row['cs'],
            "price" => $row['bonus'],
            "total" => $row['total'],
            "status" => "order",
        );
        $total += $row['bonus']; // Accumulate total

        $m_data[] = $a1;
    }
    $m_message = "radha";
} else {
    $m_message = "invalid";
}


// Encode data as JSON and echo response
echo json_encode([
    "mandal_message" => $m_message,
    "m_result" => $m_data,
    "dhan_message" => $d_message,
    "d_result" => $d_data,
    "agent_message" => $a_message,
    "a_result" => $r_data,
    "today" => $today - $total,
    "total" => $total // Add total to the JSON response
]);
?>
