<?php
function push_notification_android()
{
    // API URL of FCM
    $url = 'https://fcm.googleapis.com/fcm/send/';

    /* api_key available in:
    Firebase Console -> Project Settings -> CLOUD MESSAGING -> Server key */
    $api_key = 'AAAARUZiskg:APA91bESXJkJ0IxUhg_GjOS82uyXCrc723kalyDN-sQWGQtgDRryFYYq_rM8QY7eZfl5JtNZwvhQeQ2UznrI8B2qOu0gH445nb4gD-uf_s63QAXhEwXpTdyYMEcKu9oDOPN0G0J_2GFy'; // Replace with yours

    $target = "dUWKxQdaQ-29FPMuG19Iny:APA91bEtmUUiEYiTPzE239trAYAld1c8OlR4wmX0tfph1V3bOkPEKU1OvSJAd83mdkfMJXi0YZCR8ue4zbO29Oo";

    $fields = array(
        'priority' => "high",
        'notification' => array(
            "title" => "Test",
            "body" => "test",
            'data' => array('message' => "dfg"),
            "sound" => "default"
        )
    );

    if (is_array($target)) {
        $fields['registration_ids'] = $target;
    } else {
        $fields['to'] = $target;
    }

    // Header includes Content type and api key
    $headers = array(
        'Content-Type: application/json',
        'Authorization: key=' . $api_key
    );

    // Initialize cURL
    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, $url);
    curl_setopt($ch, CURLOPT_POST, true);
    curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);
    curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
    curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($fields));

    // Execute the request and capture the response
    $result = curl_exec($ch);
    if ($result === FALSE) {
        die('FCM Send Error: ' . curl_error($ch));
    } else {
        $response = json_decode($result, true);
        if (isset($response['failure']) && $response['failure'] > 0) {
            // Handle errors here
            foreach ($response['results'] as $index => $result) {
                if (isset($result['error']) && $result['error'] === 'InvalidRegistration') {
                    // Log or handle invalid registration token
                    echo 'InvalidRegistration error for token: ' . $target;
                }
            }
        } else {
            // Notification sent successfully
            echo 'Notification sent successfully!'.$result;
        }
    }
    curl_close($ch);
}

// Call the function
push_notification_android();
?>
