<?php
date_default_timezone_set("Asia/Kolkata");

require ("utils/MiddleWare.php");


//for admin validation
$admin = $req['aid'];
$auth = $req['auth'];
$admin_name = $req['admin_name'];

$mandal_id = $req['mid'];//user mandal id 
$trans_type = $req['trans_type'];//transaction type
$bulk_amount = $req['bulk_amount'];//bulk amount
$loan_id = $req['loan_id'];//mandal user loan id
$emi_type = $req['emi_type'];//user loan type
$bulk_month = $req['bulk_month'];//bulk count(number of month)
$emi = $req['emi'];//EMI amount
$emi_interest = $req['emi_interest'];//EMI interest
$percent = $req['percent'];//EMI percentage
$payment_mode = $req['payment_mode'];
$today = $req['date'];
$total = $req['total'];
$month = date("Y-m");
$emi = $bulk_amount / $bulk_month;//single month EMI calculation
$re_int = $req['r_int'];//return interest for Bulk EMI




//REINT for return interest when user pay Bulk EMI
$checkadmin = "SELECT `id` FROM `admin` WHERE `id`='$admin' AND `web_auth`='$auth'";

$get_checkadmin = (mysqli_query($conn, $checkadmin));

if (mysqli_num_rows($get_checkadmin) == 1 && (!empty($mandal_id) && !empty($admin_name) && !empty($trans_type))) {
   if($emi_type == "NEW"){
       for($i = 0;$i < $bulk_month; $i++){
           $sql = "INSERT INTO `transaction`(`mid`, `aid`, `a_name`, `trans_type`,  `loan_id`, `emi_type`, `emi`, `emi_interest`, `emi_percent`, `payment_mode`, `total`, `date`) 
                VALUES ('$mandal_id','$admin','$admin_name','$trans_type','$loan_id','$emi_type','$emi','$emi_interest','$percent','$payment_mode','$total','$today')";
                    if ($conn->query($sql) === TRUE) {
                        // echo json_encode(["message" => "radha"]);
                    } else {
                        echo json_encode(["message" => "invalid"]);
                    }
       }
       
       
        $update = "UPDATE loan SET interest=interest-$re_int,remaining=remaining-$bulk_amount,remaining_month=remaining_month+$bulk_month WHERE id=$loan_id;
        INSERT INTO `transaction`(`mid`, `aid`, `a_name`, `trans_type`,  `loan_id`, `emi_type`, `emi`, `emi_interest`, `emi_percent`, `payment_mode`, `total`, `date`) 
                VALUES ('$mandal_id','$admin','$admin_name','$trans_type','$loan_id','REINT','0','$re_int','$percent','$payment_mode','$re_int','$today')";
        if ($conn->multi_query($update) === TRUE) {
                  echo json_encode(["message" => "radha"]);
        }else{
                 echo json_encode(["message" => "invalid"]);
        }
   }else if($emi_type == "OLD"){
       for($i = 0;$i < $bulk_month-1; $i++){
           $sql = "INSERT INTO `transaction`(`mid`, `aid`, `a_name`, `trans_type`,  `loan_id`, `emi_type`, `emi`,  `payment_mode`, `total`, `date`) 
                VALUES ('$mandal_id','$admin','$admin_name','$trans_type','$loan_id','$emi_type','$emi','$payment_mode','$emi','$today')";
                    if ($conn->query($sql) === TRUE) {
                        // echo json_encode(["message" => "radha"]);
                    } else {
                        echo json_encode(["message" => "invalid"]);
                    }
       }
       
       
        $update = "UPDATE loan SET remaining=remaining-$bulk_amount,remaining_month=remaining_month+$bulk_month WHERE id=$loan_id;
        INSERT INTO `transaction`(`mid`, `aid`, `a_name`, `trans_type`,  `loan_id`, `emi_type`, `emi`, `emi_interest`, `emi_percent`, `payment_mode`, `total`, `date`) 
                VALUES ('$mandal_id','$admin','$admin_name','$trans_type','$loan_id','$emi_type','$emi','$emi_interest','$percent','$payment_mode','$total','$today')";
        if ($conn->multi_query($update) === TRUE) {
                  echo json_encode(["message" => "radha"]);
        }else{
                 echo json_encode(["message" => "invalid"]);
        }
   }else{
           echo json_encode(["message" => "invalid"]);

   }
   
    $details = "SELECT * FROM `mandal_user` WHERE `id`='$mandal_id'";
        $row = mysqli_query($conn, $details);
        $run = mysqli_fetch_array($row);
        $id = $run['phone'];

        $det = "SELECT * FROM `users` WHERE `phone` = '$id'";
        $rowdet = mysqli_query($conn, $det);
        $rundet = mysqli_fetch_array($rowdet);
        $token = $rundet['fireToken'];

        $title = "Manglik Gold";
        $str_guj1 = "Your Installment of";
        $str_guj2 = "is Paid";
        $str_guj3 = "with interest value";
        $message = $str_guj1 . " ₹" . $bulk_amount . " " . $str_guj2 ;

        push_notification_android($token, $title, $message);
} else {
    echo json_encode(["message" => "invalid"]);
}






function push_notification_android($device_id, $title, $message)
{
    //API URL of FCM
    $url = 'https://fcm.googleapis.com/fcm/send';

    /*api_key available in:
    Firebase Console -> Project Settings -> CLOUD MESSAGING -> Server key*/
    $api_key = 'AAAA-9gNDPk:APA91bGgKHIhC1VU8wWO3y07nBggl9Y4LaTVbFu3qJyHnPCfThL6_6z0PT0nM3znws1hbptscVCZCuQ3jSpKtfCfnNUpWHW1kRehxu76OiWPQ7oVA-SFKZPj_KXrjqpUhTBV7Pz9NgZ4'; //Replace with yours

    $target = $device_id;

    $fields = array();
    $fields['priority'] = "high";
    $fields['notification'] = [
        "title" => $title,
        "body" => $message,
        'data' => ['message' => $message],
        "sound" => "default"
    ];
    if (is_array($target)) {
        $fields['registration_ids'] = $target;
    } else {
        $fields['to'] = $target;
    }

    //header includes Content type and api key
    $headers = array(
        'Content-Type:application/json',
        'Authorization:key=' . $api_key
    );

    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, $url);
    curl_setopt($ch, CURLOPT_POST, true);
    curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);
    curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
    curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($fields));
    $result = curl_exec($ch);
    if ($result === FALSE) {
        die('FCM Send Error: ' . curl_error($ch));
    }
    curl_close($ch);
    return $result;
}
?>