<?php
require("utils/MiddleWare.php");
error_reporting(E_ALL);
ini_set('display_errors', 1);

// For admin validation
$page = $req['data'];
$today = $req["date"];
$admin = $req["aid"];
$auth = $req["auth"];
$admin_name = $req["admin_name"];
$payment_mode = $req["payment_mode"];
$regular_installment = 200;
$month = date("Y-m");
$valid = date("d", strtotime($today));
$trans_type = "REGULAR";

// Convert the array of ID values to a comma-separated string
$idList = implode(',', array_map('intval', $page));

$checkadmin = "SELECT `id` FROM `admin` WHERE `id`='$admin' AND `web_auth`='$auth'";
$get_checkadmin = mysqli_query($conn, $checkadmin);

if (mysqli_num_rows($get_checkadmin) == 1) {
    $late_pay_charge = 100; // Define the late pay charge as needed
    $t = 0;
    $success_ids = [];
    $errors = [];

    foreach ($page as $id) {
        $t += $regular_installment;

        // Calculate the installment amount based on the date condition
        if ($valid < 10) {
            $total = $regular_installment;
            $trans_type = 'REGULAR';
            $sql = "INSERT INTO `sakhi_transaction`(`sid`, `aid`, `a_name`, `trans_type`, `regular_installment`, `payment_mode`, `total`, `date`) 
                    VALUES ('$id','$admin','$admin_name','$trans_type','$regular_installment','$payment_mode','$total','$today');";
            $sql .= "UPDATE sakhi_user SET last_trans = '$month' WHERE id = '$id';";
        } else {
            $master_total = $regular_installment - $late_pay_charge;
            $total = $master_total;
            $trans_type = 'REGULAR';
            $sql = "INSERT INTO `sakhi_transaction`(`sid`, `aid`, `a_name`, `trans_type`, `regular_installment`, `payment_mode`, `total`, `date`) 
                    VALUES ('$id','$admin','$admin_name','$trans_type','$master_total','$payment_mode','$master_total','$today');";
            $sql .= "INSERT INTO `sakhi_transaction`(`sid`, `aid`, `a_name`, `trans_type`, `late_pay_charge`, `payment_mode`, `total`, `date`) 
                    VALUES ('$id','$admin','$admin_name','LATE','$late_pay_charge','Self','$late_pay_charge','$today');";
            $sql .= "UPDATE sakhi_user SET last_trans = '$month' WHERE id = '$id';";
        }

        // Execute the SQL statement
        if (mysqli_multi_query($conn, $sql)) {
            // Loop to process multiple result sets
            do {
                if ($result = mysqli_store_result($conn)) {
                    mysqli_free_result($result);
                }
            } while (mysqli_more_results($conn) && mysqli_next_result($conn));

            $success_ids[] = $id;
        } else {
            $errors[] = "Error for ID $id: " . $conn->error;
        }
    }

    if (empty($errors)) {
        echo json_encode(["message" => "radha"]);
    } else {
        echo json_encode(["message" => "Transactions completed with errors", "errors" => $errors]);
    }
} else {
    echo json_encode(["message" => "Authentication failed"]);
}

function push_notification_android($device_id, $title, $message)
{
    // API URL of FCM
    $url = 'https://fcm.googleapis.com/fcm/send';

    // API key available in Firebase Console -> Project Settings -> CLOUD MESSAGING -> Server key
    $api_key = 'AAAA-9gNDPk:APA91bGgKHIhC1VU8wWO3y07nBggl9Y4LaTVbFu3qJyHnPCfThL6_6z0PT0nM3znws1hbptscVCZCuQ3jSpKtfCfnNUpWHW1kRehxu76OiWPQ7oVA-SFKZPj_KXrjqpUhTBV7Pz9NgZ4'; // Replace with yours

    $target = $device_id;

    $fields = array();
    $fields['priority'] = "high";
    $fields['notification'] = [
        "title" => $title,
        "body" => $message,
        'data' => ['message' => $message],
        "sound" => "default"
    ];
    if (is_array($target)) {
        $fields['registration_ids'] = $target;
    } else {
        $fields['to'] = $target;
    }

    // Header includes Content type and API key
    $headers = array(
        'Content-Type:application/json',
        'Authorization:key=' . $api_key
    );

    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, $url);
    curl_setopt($ch, CURLOPT_POST, true);
    curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);
    curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
    curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($fields));
    $result = curl_exec($ch);
    if ($result === FALSE) {
        die('FCM Send Error: ' . curl_error($ch));
    }
    curl_close($ch);
    return $result;
}
?>
