<?php
include "utils/MiddleWare.php";

$page = isset($req['page']) ? $req['page'] : ''; // Initialize $page with an empty string if not set

if ($page == "AddMoney" || $page == "CreateLoan" || $page == "AddExtraCharge" || $page == "AddEmi") {
    $userquery = "SELECT * FROM `mandal_user`";
    $run_userquery = mysqli_query($conn, $userquery);

    $data = array(); // Initialize $data array

    if (mysqli_num_rows($run_userquery) > 0) {
        while ($row = mysqli_fetch_array($run_userquery)) {
            $a1 = array(
                "id" => $row['id'],
                "name" => $row['name'],
                "phone" => $row['phone'],
                "mandal_id" => $row['mandal_id']
            );
            $data[] = $a1;
        }
        echo json_encode(["message" => "valid", "result" => $data]);
    } else {
        echo json_encode(["message" => "invalid"]);
    }
}else if ($page == "SakhiAddMoney" || $page == "SakhiCreateLoan" || $page == "SakhiAddExtraCharge" || $page == "SakhiAddEmi") {
    $userquery = "SELECT * FROM `sakhi_user`";
    $run_userquery = mysqli_query($conn, $userquery);

    $data = array(); // Initialize $data array

    if (mysqli_num_rows($run_userquery) > 0) {
        while ($row = mysqli_fetch_array($run_userquery)) {
            $sakhi_id = $row['id'];

            // Query to count the number of installments
            $installment_query = "SELECT COUNT(*) as installment_count FROM sakhi_transaction WHERE sid = '$sakhi_id'";
            $run_installment_query = mysqli_query($conn, $installment_query);
        
            // Fetch the result
            $installment_row = mysqli_fetch_array($run_installment_query);
            $installment_count = $installment_row['installment_count'];
        
            // Prepare the user data array
            $a1 = array(
                "id" => $row['id'],
                "name" => $row['name'],
                "phone" => $row['phone'],
                "sakhi_id" => $row['sid'],
                "installment_count" => $installment_count
            );
        
            // Add to the main data array
            $data[] = $a1;
        }
        echo json_encode(["message" => "valid", "result" => $data]);
    } else {
        echo json_encode(["message" => "invalid"]);
    }
}else if ($page === "CreateMember") {
    $userquery = "SELECT * FROM `users` ";
    $run_userquery = mysqli_query($conn, $userquery);

    $data = array(); // Initialize $data array

    if (mysqli_num_rows($run_userquery) > 0) {
        while ($row = mysqli_fetch_array($run_userquery)) {
            $a1 = array(
                "id" => $row['id'],
                "name" => $row['name'],
                "phone" => $row['phone'],
                "mandal_id" => $row['mandal_id']
            );
            $data[] = $a1;
        }
        echo json_encode(["message" => "valid", "result" => $data]);
    } else {
        echo json_encode(["message" => "invalid"]);
    }
}else if ($page === "SakhiCreateMember") {
    $userquery = "SELECT * FROM `sakhi_user` WHERE lid=0";
    $run_userquery = mysqli_query($conn, $userquery);

    $data = array(); // Initialize $data array

    if (mysqli_num_rows($run_userquery) > 0) {
        while ($row = mysqli_fetch_array($run_userquery)) {
            $sakhi_id = $row['id'];

            // Query to count the number of installments
            $installment_query = "SELECT COUNT(*) as installment_count FROM sakhi_transaction WHERE sid = '$sakhi_id' AND trans_type='REGULAR'";
            $run_installment_query = mysqli_query($conn, $installment_query);
        
            // Fetch the result
            $installment_row = mysqli_fetch_array($run_installment_query);
            $installment_count = $installment_row['installment_count'];
        
            // Prepare the user data array
            $a1 = array(
                "id" => $row['id'],
                "name" => $row['name'],
                "phone" => $row['phone'],
                "sakhi_id" => $row['sid'],
                "installment_count" => $installment_count
            );
        
            // Add to the main data array
            $data[] = $a1;
        }
        echo json_encode(["message" => "valid", "result" => $data]);
    } else {
        echo json_encode(["message" => "invalid".$conn->error]);
    }
} else if ($page === "dhanaddmoney" || $page === "DhanLoan") {
    $userquery = "SELECT * FROM `dhan_user` ";
    $run_userquery = mysqli_query($conn, $userquery);

    $data = array(); // Initialize $data array

    if (mysqli_num_rows($run_userquery) > 0) {
        while ($row = mysqli_fetch_array($run_userquery)) {
            $a1 = array(
                "id" => $row['id'],
                "name" => $row['name'],
                "phone" => $row['phone'],
                "amount" => $row['amount']
            );
            $data[] = $a1;
        }
        echo json_encode(["message" => "valid", "result" => $data]);
    } else {
        echo json_encode(["message" => "invalid"]);
    }
}
?>
