<?php
require ("utils/MiddleWare.php");


//admin validation
$admin = $req['aid'];
$auth = $req['auth'];
$page = $req['page'];
$today = date('Y-m-d');


$checkadmin = "SELECT `id` FROM `admin` WHERE `id`='$admin' AND `web_auth`='$auth'";

$get_checkadmin = (mysqli_query($conn, $checkadmin));

if (mysqli_num_rows($get_checkadmin) == 1) {

     if ($page === "main") {
        $query = "SELECT 
        (SELECT SUM(amount) FROM dhan_transaction WHERE `t_type` != 'WITHDRAW') AS total_amount, 
        (SELECT SUM(bonus) FROM dhan_transaction WHERE `t_type` != 'WITHDRAW') AS total_bonus, 
        (SELECT SUM(amount) FROM dhan_transaction WHERE `t_type` = 'WITHDRAW') AS t_amount, 
        (SELECT SUM(bonus) FROM dhan_transaction WHERE `t_type` = 'WITHDRAW') AS t_bonus,
         (SELECT SUM(amount) FROM dhan_transaction WHERE `t_type` = 'INWITHDRAW') AS t_iamount, 
        (SELECT SUM(bonus) FROM dhan_transaction WHERE `t_type` = 'INWITHDRAW') AS t_ibonus
        ";

        $result = mysqli_query($conn, $query);
        $row = mysqli_fetch_assoc($result);
        $total_amount = $row["total_amount"] - ($row['t_amount'] + $row['t_iamount']);
        $total_bonus = $row["total_bonus"] - ($row["t_bonus"] + $row["t_ibonus"] );
        $ibonus = $row['t_ibonus'];
        $total_total = $total_amount + $total_bonus + $ibonus;
        
        $data = array(
            "total_amount" => $total_amount."",
            "total_bonus" => $total_bonus."",
            "total_withdraw" => $row['t_amount'] + $row['t_iamount']."",
            "total_total" => $total_total."",
            "inBonus" => $ibonus.""
        );

        echo json_encode(["message" => "radha", "main_result" => $data]);
 

    } else if ($page === "transaction") {

        $tsql = "SELECT t.*, u.name,u.emis FROM dhan_transaction t
        JOIN dhan_user u ON t.did = u.id ORDER BY date DESC, id DESC";

        $tresult = mysqli_query($conn, $tsql);
        if ($tresult->num_rows > 0) {
            while ($trow = $tresult->fetch_assoc()) {
                 
                $tr = $regular_installment = $int = ""; // Initialize variables

        switch ($trow['t_type']) {
            case "REGULAR":
                $regular_installment = $trow['amount'];
                $bonus = $trow['bonus'];
                $tr = "Regular";
                break;

            case "WITHDRAW":
                $regular_installment = $trow['amount'];
                $bonus = $trow['bonus'];
                $tr = "Withdraw";
                break;
                
            case "INWITHDRAW":
                $regular_installment = $trow['amount'];
                $bonus = $trow['bonus'];
                $tr = "Withdraw";
                break;    

            default:
                $regular_installment = $trow['amount'];
                $tr = $trow['bonus'];
        }
                $data = array(
                    "id" => $trow['id'],
                    "did" => $trow['did'],
                    "name" => $trow['name'],
                    "emis" =>$trow['emis'],
                    "emi_count"=>$trow['emi_count'],
                    "t_type" => $tr,
                    "gst" => $trow['GST'],
                    "amount" => $regular_installment,
                    "bonus" => $bonus,
                    "withdraw" => $trow['withdraw'],
                    "payment_mode" => $trow['payment_mode'],
                    "total" => $trow['total'],
                    "date" => $trow['date'],
                    "by" => $trow['a_name']
                );
                $tdata[] = $data;
                $trans_msg = "radha";
            }
        } else {
            $trans_msg = "invalid";
        }

        echo json_encode(["message" => $trans_msg, "trans_result" => $tdata]);


    } else if ($page === "loan") {
        

        $lsql = "SELECT l.*, u.name FROM dhan_loan l
        JOIN dhan_user u ON l.did = u.id ORDER BY date DESC, id DESC";
        
        $lresult = mysqli_query($conn, $lsql);
        if ($lresult->num_rows > 0) {
            while ($lrow = $lresult->fetch_assoc()) {
                $data = array(
                    "id" => $lrow['id'],
                    "mid" => $lrow['did'],
                    "name" => $lrow['name'],
                    "amount" => $lrow['amount'],
                    "remaining" => $lrow['remain'],
                    "interest" => $lrow['interest'],
                    "emi" => $lrow['emi'],
                    "month" => $lrow['rmonth'],
                    "remaining_month" => $lrow['month'],
                    "date" => $lrow['date'],
                    "by" => $lrow['a_name']
                );
                $ldata[] = $data;
                $loan_msg = "radha";
            }
        } else {
            $loan_msg = "invalid";
        }
        echo json_encode(["message" => $loan_msg, "loan_result" => $ldata]);

    } else if($page === "today"){
           $tsql = "SELECT t.*, u.name,u.emis FROM dhan_transaction t
        JOIN dhan_user u ON t.did = u.id WHERE t.date = '$today'";

        $tresult = mysqli_query($conn, $tsql);
        if ($tresult->num_rows > 0) {
            while ($trow = $tresult->fetch_assoc()) {
                 
                $tr = $regular_installment = $int = ""; // Initialize variables

        switch ($trow['t_type']) {
            case "REGULAR":
                $regular_installment = $trow['amount'];
                $bonus = $trow['bonus'];
                $tr = "Regular Installment";
                break;

            case "WITHDRAW":
                $regular_installment = $trow['amount'];
                $bonus = $trow['bonus'];
                $tr = "Withdraw";
                break;
                
            case "INWITHDRAW":
                $regular_installment = $trow['amount'];
                $bonus = $trow['bonus'];
                $tr = "Withdraw";
                break;    

            default:
                $regular_installment = $trow['amount'];
                $tr = $trow['bonus'];
        }
                $data = array(
                    "id" => $trow['id'],
                    "did" => $trow['did'],
                    "name" => $trow['name'],
                    "emis" =>$trow['emis'],
                    "emi_count"=>$trow['emi_count'],
                    "t_type" => $tr,
                    "gst" => $trow['GST'],
                    "amount" => $regular_installment,
                    "bonus" => $bonus,
                    "withdraw" => $trow['withdraw'],
                    "payment_mode" => $trow['payment_mode'],
                    "total" => $trow['total'],
                    "date" => $trow['date'],
                    "by" => $trow['a_name']
                );
                $tdata[] = $data;
                $trans_msg = "radha";
            }
        } else {
            $trans_msg = "invalid";
        }

        echo json_encode(["message" => $trans_msg, "trans_result" => $tdata]);

    }else{
    echo json_encode(["message" => "invalid"]);
}
    



} else {
    echo json_encode(["message" => "invalid"]);
}
?>