<?php
header("Content-Type: application/json charset=UTF-8");
header("Access-Control-Allow-Origin: *");
header("Access-Control-Allow-Methods: POST");
header(
    "Access-Control-Allow-Headers: Access-Control-Allow-Headers,Content-Type, Access-Control-Allow-Methods, Authorization, X-Requested-With"
);
include "config.php";
date_default_timezone_set("Asia/Kolkata");


//admin validation
$admin = $_POST["aid"];
$auth = $_POST["auth"];
$admin_name = $_POST["admin_name"];

$mandal_id = $_POST["mid"];//user mandal id
$trans_type = $_POST["trans_type"];//transaction type
$regular_installment = $_POST["regular_installment"];//installment amount
$loan_id = $_POST["loan_id"];//user loan id
$emi_type = $_POST["emi_type"];//EMI type
$amount = $_POST["amount"];//Installment amount
$emi = $_POST["emi"];//EMI amount
$emi_interest = $_POST["emi_interest"];//Loan interest
$percent = $_POST["percent"];//Interest percentage
$late_pay_charge = $_POST["late_pay_charge"];//latepayment charge
$annual_charge = $_POST["annual_charge"];//annual charge from user
$payment_mode = $_POST["payment_mode"];//payment mode
$today = date("Y-m-d");
$total = $_POST["total"];//total
$month = date("Y-m");//month for EMI count

//new variables
$interest = $_POST["interest"];//loan interest
$valid = date("d", strtotime($today));//date for check late pay charge
$late_pay_charge = "0";

//if installment date > 10 apply late pay charge
if ($valid > 10) {
    $late_pay_charge = "100";
    $loan_late_pay_charge = "300";
}


//LATE for late pay charge
//Self for First loan EMI
$checkadmin = "SELECT `id` FROM `admin` WHERE `id`='$admin' AND `authcode`='$auth'";

$get_checkadmin = mysqli_query($conn, $checkadmin);

if (
    mysqli_num_rows($get_checkadmin) == 1 &&
    (!empty($mandal_id) && !empty($admin_name) && !empty($trans_type))
) {
    if ($emi_type == "NEW" || $emi_type == "OLD") {
        
              if ($valid > 10) {
            $master_total = $regular_installment - $late_pay_charge;
            $sql = "UPDATE loan SET remaining = remaining - $emi, remaining_month = remaining_month + '1' WHERE id = '$loan_id';
                INSERT INTO `transaction`(`mid`, `aid`, `a_name`, `trans_type`, `regular_installment`, `loan_id`, `emi_type`, `emi`, `emi_interest`, `emi_percent`, `annual_charge`, `payment_mode`, `total`, `date`) 
                VALUES ('$mandal_id','$admin','$admin_name','$trans_type','$regular_installment','$loan_id','$emi_type','$emi','$emi_interest','$percent','$annual_charge','$payment_mode','$total','$today');
                INSERT INTO `transaction`(`mid`, `aid`, `a_name`, `trans_type`, `late_pay_charge`, `payment_mode`, `total`, `date`) 
                VALUES ('$mandal_id','$admin','$admin_name','LATE','$loan_late_pay_charge','Self','$loan_late_pay_charge','$today');
                ";
        } else {
          
       $sql = "UPDATE loan SET remaining = remaining - $emi, remaining_month = remaining_month + '1' WHERE id = '$loan_id';
                INSERT INTO `transaction`(`mid`, `aid`, `a_name`, `trans_type`, `regular_installment`, `loan_id`, `emi_type`, `emi`, `emi_interest`, `emi_percent`, `annual_charge`, `payment_mode`, `total`, `date`) 
                VALUES ('$mandal_id','$admin','$admin_name','$trans_type','$regular_installment','$loan_id','$emi_type','$emi','$emi_interest','$percent','$annual_charge','$payment_mode','$total','$today');";
        }
        
        
        
        
        
    } elseif ($trans_type == "WITHDRAW") {
        $sql = "INSERT INTO `transaction`(`mid`, `aid`, `a_name`, `trans_type`,`withdraw`, `payment_mode`,`date`) 
                VALUES ('$mandal_id','$admin','$admin_name','$trans_type','$amount','$payment_mode','$today')";
    } elseif ($trans_type == "INTEREST" && $emi_type == "ADD") {
        $sql = "UPDATE loan SET interest = interest + $interest WHERE id = '$loan_id';
                INSERT INTO `transaction`(`mid`, `aid`, `a_name`, `trans_type`, `regular_installment`, `loan_id`, `emi_type`,`emi_interest`,`payment_mode`, `total`, `date`) 
                VALUES ('$mandal_id','$admin','$admin_name','$trans_type','$regular_installment','$loan_id','$emi_type','$interest','$payment_mode','$total','$today');
                ";
    } elseif ($trans_type == "INTEREST" && $emi_type == "REMOVE") {
        $sql = "UPDATE loan SET interest = interest - $interest WHERE id = '$loan_id';
                INSERT INTO `transaction`(`mid`, `aid`, `a_name`, `trans_type`, `regular_installment`, `loan_id`, `emi_type`, `emi_interest`,`payment_mode`, `total`, `date`) 
                VALUES ('$mandal_id','$admin','$admin_name','$trans_type','$regular_installment','$loan_id','$emi_type','$interest','$payment_mode','$total','$today');
                ";
    } elseif ($trans_type == "YB") {
        $sql = "INSERT INTO `transaction`(`mid`, `aid`, `a_name`, `trans_type`,`regular_installment`,`total`, `payment_mode`,`date`) 
                VALUES ('$mandal_id','$admin','$admin_name','$trans_type','$regular_installment','$regular_installment','$payment_mode','$today')";
    } elseif ($trans_type == "REGULAR") {
        if ($valid > 10) {
            $master_total = $regular_installment - $late_pay_charge;
            $sql = "
                INSERT INTO `transaction`(`mid`, `aid`, `a_name`, `trans_type`, `regular_installment`, `payment_mode`, `total`, `date`) 
                VALUES ('$mandal_id','$admin','$admin_name','$trans_type','$master_total','$payment_mode','$master_total','$today');
                INSERT INTO `transaction`(`mid`, `aid`, `a_name`, `trans_type`, `late_pay_charge`, `payment_mode`, `total`, `date`) 
                VALUES ('$mandal_id','$admin','$admin_name','LATE','$late_pay_charge','Self','$late_pay_charge','$today');
                UPDATE mandal_user SET last_trans = '$month' WHERE id = '$mandal_id';";
        } else {
            $sql = "
                INSERT INTO `transaction`(`mid`, `aid`, `a_name`, `trans_type`, `regular_installment`, `payment_mode`, `total`, `date`) 
                VALUES ('$mandal_id','$admin','$admin_name','$trans_type','$regular_installment','$payment_mode','$total','$today');
                UPDATE mandal_user SET last_trans = '$month' WHERE id = '$mandal_id';";
        }
    } else {
        $sql = "INSERT INTO `transaction`(`mid`, `aid`, `a_name`, `trans_type`, `regular_installment`, `loan_id`, `emi_type`, `emi`, `emi_interest`, `emi_percent`, `late_pay_charge`, `annual_charge`, `payment_mode`, `total`, `date`) 
                VALUES ('$mandal_id','$admin','$admin_name','$trans_type','$regular_installment','$loan_id','$emi_type','$emi','$emi_interest','$percent','$late_pay_charge','$annual_charge','$payment_mode','$total','$today');
                UPDATE mandal_user SET last_trans = '$month' WHERE id = '$mandal_id';";
    }

    if ($conn->multi_query($sql) === true) {
        echo json_encode(["message" => "radha"]);
    } else {
        echo json_encode(["message" => "invalid"]);
    }
} else {
    echo json_encode(["message" => "invalid"]);
}
?>
