<?php
require("utils/MiddleWare.php");

$data = [];
$page = $req['page']; // Page validation

if ($page == "mandal") {
    $userquery = "SELECT * FROM `delete_list`";
    $run_userquery = mysqli_query($conn, $userquery);

    if ($run_userquery) {
        if (mysqli_num_rows($run_userquery) > 0) {
            while ($row = mysqli_fetch_array($run_userquery)) {
                
                         $tr = $regular_installment = $int = ""; // Initialize variables

        switch ($row['t_type']) {
            case "EMI":
                if ($row['emi_type'] == "FIRST") {
                    $regular_installment = $row['t_emi_interest'];
                    $tr = "Interest";
                } elseif ($row['emi_type'] == "NEW" || $row['emi_type'] == "OLD") {
                    $regular_installment = $row['t_emi'];
                    $int = $row['t_emi_interest'];
                    $tr = "EMI";
                } elseif ($row['emi_type'] == "REINT") {
                    $regular_installment = $row['t_emi_interest'];
                    $tr = "Return Interest";
                }
                break;

            case "INTEREST":
                if ($row['emi_type'] == "ADD") {
                    $regular_installment = $row['t_emi_interest'];
                    $tr = "Added Interest";
                } elseif ($row['emi_type'] == "REMOVE") {
                    $regular_installment = $row['t_emi_interest'];
                    $tr = "Withdraw Interest";
                } elseif ($row['emi_type'] == "LATEJOIN") {
                    $regular_installment = $row['t_emi_interest'];
                    $tr = "Latejoin Interest";
                }
                break;

            case "LATE":
                $regular_installment = $row['t_late_pay'];
                $tr = "Late Payment Charge";
                break;
                
            case "LATEJOIN":
                $int = $row['t_emi_interest'];
                $tr = "Late Joining Charge";
                break;    

            case "YB":
                $regular_installment = $row['regular_installment'];
                $tr = "Yearly Bonus";
                break;

            case "ANNUAL":
                $regular_installment = $row['annual_charge'];
                $tr = "Annual Charge";
                break;

            case "REGULAR":
                $regular_installment = $row['regular_installment'];
                $tr = "Regular";
                break;

            case "WITHDRAW":
                $regular_installment = $row['withdraw'];
                $tr = "Withdraw";
                break;

            default:
                $regular_installment = $row['regular_installment'];
                $tr = $row['trans_type'];
        }
                $a1 = array(
                    "id" => $row['id'],
                    "delete_id" => $row['base_id'],
                    "delete_type" => $row['delete_type'],
                    "mandal_id" => $row['mid'],
                    "l_id" => $row['l_id'],
                    "m_name" => $row['m_name'],
                    "m_phone" => $row['m_phone'],
                    "l_amount" => $row['l_amount'],
                    "l_name" => $row['l_name'],
                    "l_remaining" => $row['l_remaining'],
                    "l_interest" => $row['l_interest'],
                    "l_month" => $row['l_month'],
                    "l_rem_month" => $row['l_rem_month'],
                    "l_emi" => $row['l_emi'],
                    "t_id" => $row['t_id'],
                    "t_type" => $tr,
                    "t_withdraw" => $row['t_withdraw'],
                    "t_regular_installment" => $row['t_regular_installment'],
                    "t_loan_id" => $row['t_loan_id'],
                    "t_emi_type" => $row['t_emi_type'],
                    "t_emi" => $row['t_emi'],
                    "t_emi_interest" => $row['t_emi_interest'],
                    "t_emi_percent" => $row['t_emi_percent'],
                    "t_late_pay" => $row['t_late_pay'],
                    "t_annual" => $row['t_annual'],
                    "t_pay_mode" => $row['t_pay_mode'],
                    "t_total" => $row['t_total'],
                    "aid" => $row['aid'],
                    "a_name" => $row['a_name'],
                    "date" => $row['date'],
                );
                $data[] = $a1;
            }

            echo json_encode(["message" => "radha", "result" => $data]);
        } else {
            echo json_encode(["message" => "No data found"]);
        }
    } else {
        echo json_encode(["message" => "Query error: " . mysqli_error($conn)]);
    }
} else if ($page == "dhan") {
    $userquery = "SELECT * FROM `delete_dhan_log`";
    $run_userquery = mysqli_query($conn, $userquery);

    if ($run_userquery) {
        if (mysqli_num_rows($run_userquery) > 0) {
            while ($row = mysqli_fetch_array($run_userquery)) {
                $a1 = array(
                    "id" => $row['id'],
                    "base_id" => $row['base_id'],
                    "delete_type" => $row['delete_type'],
                    "did" => $row['did'],
                    "d_type" => $row['d_type'],
                    "tid" => $row['tid'],
                    "t_type" => $row['t_type'],
                    "withdraw" => $row['withdraw'],
                    "aid" => $row['aid'],
                    "a_name" => $row['a_name'],
                    "amount" => $row['amount'],
                    "bonus" => $row['bonus'],
                    "total" => $row['total'],
                    "payment_mode" => $row['payment_mode'],
                    "date" => $row['date'],
                    "last_trans" => $row['last_trans'],
                    "emis" => $row['emis'],
                    "type" => $row['type'],
                    "name" => $row['name'],
                    "phone" => $row['phone'],
                    "userid" => $row['userid']
                );
                $data[] = $a1;
            }
            echo json_encode(["message" => "radha", "result" => $data]);
        } else {
            echo json_encode(["message" => "No data found"]);
        }
    } else {
        echo json_encode(["message" => "Query error: " . mysqli_error($conn)]);
    }
} else {
    echo json_encode(["message" => "Invalid page parameter"]);
}
?>
